Bug 1312581 - [DOC]:- Old /var/lock/subsys/diamond lock file needs to be deleted inorder to start diamond services after upgrading RHEL6.6 ceph 1.2.3------> RHEL7.2 ceph 1.3.2
[DOC]:- Old /var/lock/subsys/diamond lock file needs to be deleted inorder to...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
x86_64 Linux
unspecified Severity medium
: rc
: 1.3.2
Assigned To: Bara Ancincova
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 10:25 EST by shylesh
Modified: 2016-04-19 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 13:20:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2016-02-27 10:25:55 EST
Description of problem:

After upgrading from RHEL6.6 ceph 1.2.3 to RHEL 7.2 and ceph from 1.2.3 to 1.3.2 diamond service might fail to start. so check whether old /var/lock/subsys/diamond lock file exists on the corresponding node and delete the lock file and restart the diamond service in order to get the calamari host graphs.

This needs to be documented .
Comment 5 Gregory Meno 2016-03-11 14:34:51 EST
Bara,

This step should happen on the cluster nodes connected to calamari.

It would be great to have in right here and the next step.

" On nodes that were previously connected to Calamari and that you identified in step 7, perform the following steps:

    Remove the old salt-master public key: and that you identified in step 7

    # rm /etc/salt/pki/minion/minion_master.pub"
Comment 7 shylesh 2016-03-23 05:19:44 EDT
Now doc has below mentioned info , hence marking it as verified 

Check if the old /var/lock/subsys/diamond lock file exists and if so, delete the file and restart the diamond service:

# rm /var/lock/subsys/diamond
# systemctl restart diamond.service

Note You need to log in before you can comment on or make changes to this bug.